Summary:        Reorganize tables in PostgreSQL databases without any locks
Name:           pg_repack
Version:        1.4.8
Release:        6%{?dist}
License:        BSD
URL:            http://reorg.github.io/%{name}/
Source0:        https://github.com/reorg/%{name}/archive/ver_%{version}.tar.gz

BuildRequires:  make lz4-devel readline-devel zlib-devel postgresql-static python3-docutils
BuildRequires:  postgresql gcc openssl-devel postgresql-server postgresql-server-devel
%{?postgresql_module_requires}

%description
pg_repack is a PostgreSQL extension which lets you remove bloat from tables and indexes, and
optionally restore the physical order of clustered indexes.  Unlike CLUSTER and VACUUM FULL it works
online, without holding an exclusive lock on the processed tables during processing.  pg_repack is
efficient to boot, with performance comparable to using CLUSTER directly.

Please check the documentation (in the doc directory or online) for installation and usage
instructions.

%prep
%autosetup -n %{name}-ver_%{version} -p1

%build
%make_build
cd doc
make

%install
%make_install

%files
%license COPYRIGHT
%doc README.rst
%doc doc/%{name}.html
%doc doc/%{name}.rst
%doc doc/%{name}_jp.html
%doc doc/%{name}_jp.rst
%doc doc/release.html
%doc doc/release.rst
%{_bindir}/%{name}
%{_libdir}/pgsql/%{name}.so
%{_datadir}/pgsql/extension/%{name}.control
%{_datadir}/pgsql/extension/%{name}--%{version}.sql

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.8-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.8-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.8-4
- fix build errors with postgresql-server-devel 15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.8-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 1.4.8-1
- initial build
